Page Summary
-
The
surveyQuestionsendpoint lists all Google predefined survey questions. -
The HTTP request uses a GET method to
https://businesscommunications.googleapis.com/v1/surveyQuestions. -
The request body should be empty, and an optional
localequery parameter can be used to filter questions by language. -
The response body contains a list of
SurveyQuestionobjects.
Lists all Google predefined survey questions.
HTTP request
GET https://businesscommunications.googleapis.com/v1/surveyQuestions
The URL uses gRPC Transcoding syntax.
Query parameters
| Parameters | |
|---|---|
locale |
Optional. List Google template questions by locale. Locale is represented by a well-formed IETF BCP 47 language tag. Default is EN. |
Request body
The request body must be empty.
Response body
A list of all Google provided template questions.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"surveyQuestions": [
{
object ( |
| Fields | |
|---|---|
surveyQuestions[] |
List of Google provided template survey question information. |